Bug 445283 - SMTP server error message results in crash
SMTP server error message results in crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 17:42 EDT by Christopher Tubbs
Modified: 2009-07-14 13:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug-buddy generated bug report (546.46 KB, text/plain)
2008-05-05 17:42 EDT, Christopher Tubbs
no flags Details
gdb output (10.39 KB, text/plain)
2008-05-06 19:58 EDT, Christopher Tubbs
no flags Details

  None (edit)
Description Christopher Tubbs 2008-05-05 17:42:38 EDT
Description of problem:
I attempt to send an email in Thunderbird, but my SMTP server results in an
error message (untrusted MTA). After the error message shows, Thunderbird
crashes, and bug-buddy loads with a generated bug report.

Version-Release number of selected component (if applicable):
bug-buddy-2.22.0-2.fc9.i386
thunderbird-2.0.0.14-1.fc9.i386

How reproducible:
Every time the error message appears, thunderbird crashes.

Steps to Reproduce:
1. Set up a default smtp server that will result in the "untrusted MTA" error
message
2. Compose a message, and send it
  
Actual results:
Thunderbird crashes, and message is lost.

Expected results:
I was actually expecting no error message (still haven't figured out why the MTA
is untrusted), but the expected results when the error message does appear is to
be able to click OK, and return to composition window. In addition, it is also
expected that if the program does crash, I will be able to resume the
composition of the message that was typed up. (Perhaps the message could be
saved in Local Folders->unsent messages).

Additional info:
F9-preview
smtp-test.emich.edu:587 (TLS)
Comment 1 Christopher Tubbs 2008-05-05 17:42:38 EDT
Created attachment 304567 [details]
bug-buddy generated bug report
Comment 2 Matěj Cepl 2008-05-06 11:57:34 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue. Unfortunately the bug-buddy report, you have
provided is currently not yet useful, we need to get it generated in the old way:

Please install firefox-debuginfo; in order to do this run

	debuginfo-install thunderbird

Then run thunderbird with a parameter -g. That will start thunderbird running
inside of gdb debugger. Then use command run and do whatever you did to make
thunderbird crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Christopher Tubbs 2008-05-06 19:58:23 EDT
Created attachment 304701 [details]
gdb output

Requested debugging output attached.
NOTE: The bug did not occur in exactly the same way as when I run it without
gdb. Without gdb, it initiates bug-buddy and shuts down after bug-buddy closes.
When using gdb, it does not initiate bug-buddy (I assume this is normal), but
it does not close down on it's own either... the windows stay up (main and
compose windows) and hang (stop redrawing, don't respond to close, etc.)
Comment 4 Bug Zapper 2008-05-14 06:41:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:37:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:56:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.